<div class="link" (click)="showDialog($event)">Совместный доступ</div>

<as-modal-dialog-component #dialog custom-class="share-modal-dialog">
    <div class="dialog-modal-header">
        Запрос доступа
    </div>
    <div class="dialog-modal-body">
        <div class="request-access-heading">Пользователи</div>
        <div class="request-access-inviter">
            <as-email-editor
                #emails
            ></as-email-editor>
        </div>
    </div>
    <div class="dialog-modal-footer">
        <div class="dialog-modal-footer-button">
            <as-action-button 
                [disabled]="false"
                [text]="'Добавить случайный e-mail'" 
                (mouseClick)="addEmail($event)"
            ></as-action-button>
        </div>
        <div class="dialog-modal-footer-button">
            <as-default-button
                [disabled]="false"
                [text]="'Количество e-mail'"
                (mouseClick)="countEmail($event)"
            ></as-default-button>
        </div>
        <div class="dialog-modal-footer-button">
            <as-default-button
                [disabled]="false"
                [text]="'Отмена'"
                (mouseClick)="closeDialog($event)"
            ></as-default-button>
        </div>
        <div class="dialog-modal-footer-clearing-div"></div>
    </div>
</as-modal-dialog-component>